## org.apache.batik.swing.gvt
Interface GVTTreeRendererListener

All Known Implementing Classes:
  AbstractJGVTComponent.Listener, AbstractJSVGComponent.SVGListener, GVTTreeRendererAdapter, JGVTComponent.ExtendedListener, JSVGCanvas.CanvasSVGListener, JSVGComponent.ExtendedSVGListener, JSVGScrollPane.ScrollListener, JSVGViewerFrame, ThumbnailDialog.ThumbnailGVTListener

    public interface GVTTreeRendererListener

This interface represents a listener to the GVTTreeRendererEvent events.

Method Summary
`void` `gvtRenderingCancelled(GVTTreeRendererEvent e)` Called when a rendering was cancelled.
`void` `gvtRenderingCompleted(GVTTreeRendererEvent e)` Called when a rendering was completed.
`void` `gvtRenderingFailed(GVTTreeRendererEvent e)` Called when a rendering failed.
`void` `gvtRenderingPrepare(GVTTreeRendererEvent e)` Called when a rendering is in its preparing phase.
`void` `gvtRenderingStarted(GVTTreeRendererEvent e)` Called when a rendering started.

Method Detail

### gvtRenderingPrepare

    void gvtRenderingPrepare(GVTTreeRendererEvent e)

  Called when a rendering is in its preparing phase.

### gvtRenderingStarted

    void gvtRenderingStarted(GVTTreeRendererEvent e)

  Called when a rendering started.

### gvtRenderingCompleted

    void gvtRenderingCompleted(GVTTreeRendererEvent e)

  Called when a rendering was completed.

### gvtRenderingCancelled

    void gvtRenderingCancelled(GVTTreeRendererEvent e)

  Called when a rendering was cancelled.

### gvtRenderingFailed

    void gvtRenderingFailed(GVTTreeRendererEvent e)

  Called when a rendering failed.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.